__LIST_FOR_EACH(9)

NAME
__list_for_each - iterate over a list

SYNOPSIS

__list_for_each (pos, head);

ARGUMENTS

pos the &struct list_head to use as a loop counter.

head
    the head for your list.

DESCRIPTION

This variant differs from list_for_each in that it's the simplest possible list iteration code, no prefetching is done. Use this for code that knows the list to be very short (empty or 1 entry) most of the time.